Skip to content
Browse files

Update pbr usage

We've discovered that having versions in setup_requires leads to evil
and death. Also, the setup-hooks in setup.cfg are completely unnecessary
anymore.

Change-Id: I8878e635e0828bbddb81d9c6321a9f10ad3b89fe
  • Loading branch information...
1 parent c7e62d4 commit ce89f7b12a6f3e80dda2573bfa96a07b8b7d7740 @emonty emonty committed Sep 20, 2013
Showing with 1 addition and 5 deletions.
  1. +0 −4 setup.cfg
  2. +1 −1 setup.py
View
4 setup.cfg
@@ -21,10 +21,6 @@ classifier =
packages =
novaclient
-[global]
-setup-hooks =
- pbr.hooks.setup_hook
-
[entry_points]
console_scripts =
nova = novaclient.shell:main
View
2 setup.py
@@ -18,5 +18,5 @@
import setuptools
setuptools.setup(
- setup_requires=['pbr>=0.5.21,<1.0'],
+ setup_requires=['pbr'],
pbr=True)

0 comments on commit ce89f7b

Please sign in to comment.
Something went wrong with that request. Please try again.